Issue 107602

Summary: framework: Implement ODF document preview for Windows Explorer
Product: General Reporter: Joost Andrae <Joost.Andrae>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: bormant, dajanabosotina, issues, jw243, jyl44, mark, oliver.brinzing, orcmid, rb.henschel, rleeesh, solowalker, tobias, torsten, wassonmb-openoffice
Version: OOO320m7   
Target Milestone: ---   
Hardware: All   
OS: Windows 7   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
correct manifest.xml none

Description Joost Andrae 2009-12-10 17:04:23 UTC
The current explorer extensions (32 bit and 64 bit) do not support the preview
of ODF documents within the Windows Explorer preview window. This should be
supported. Sending issue as unconfirmed as it needs to be evaluated if it will
get implemented.
Comment 1 dirk.voelzke 2010-02-10 13:26:51 UTC
Set target.
Comment 2 dirk.voelzke 2010-02-15 14:13:48 UTC
Accepted.
Comment 3 pracslipkerm 2010-04-07 23:33:39 UTC
OOo 3.2.0 installed on Win 7 Pro x64 - No Preview of OOo files
Comment 4 volkerknapp 2010-06-15 04:21:03 UTC
Not having the "Preview Feature" is show stopper to use OO. It does not work here.
Comment 5 papayes 2013-05-17 14:55:38 UTC
Hello,
Under Win 7, now, it has many files .odt and .ods which have an preview within the Windows Explor, 
but much less with Win8, 
others totally reluctant to the display !
no stopper of course !
Comment 6 jw243 2014-01-15 13:53:01 UTC
Preview of odf files only works, if Microsoft office (2007 SP3 and higher) is installed. If Microsoft office is not installed, there is no preview for odf files available in the Windows 7 explorer.

Actually, I would rather not have Microsoft office installed and would like to have the preview work with only OpenOffice installed. Any chance, that this will be implemented soon?

Thanks.
Comment 7 oooforum (fr) 2015-04-09 06:41:24 UTC
*** Issue 126231 has been marked as a duplicate of this issue. ***
Comment 8 Oliver Brinzing 2015-04-09 16:18:13 UTC
.
Comment 9 Lee 2015-12-30 22:14:13 UTC
Any idea when this issue may be fixed?  Lack of an explorer preview of OOo files is counter-productive and also very annoying.  Thanks.
Comment 10 mark 2016-01-07 10:21:25 UTC
Hi,

It's very annoying not to have a preview of odt and other ods files in the preview pane of Microsoft file explorer. It's slowing down the work process when you want to compare quickly a lot of files version. You have to open each file, close it, reopen an other one, remember what you saw... I'm really thinking of going back to Microsoft Office which has these very helpful feature for me.

Thank you guys if you think this issue!
Comment 11 mark 2016-01-07 10:24:15 UTC
Sorry : if you fix it!

PS: I work under Windows 10
Comment 12 Torsten Warncke 2016-06-12 12:32:47 UTC
Created attachment 85570 [details]
correct manifest.xml

replacement for manifest.xml in META-INF
Comment 13 orcmid 2016-06-12 16:53:10 UTC
(In reply to Torsten Warncke from comment #12)
> Created attachment 85570 [details]
> correct manifest.xml
> 
> replacement for manifest.xml in META-INF

I don't understand what META-INF/manifest.xml has to do with the subject of this issue.  

What's missing is a shell extension that extracts the thumbnails for preview purposes.  The thumbnail is there (although only at one resolution).  

I am removing the 2010-applied "Accepted" condition.  That is a hold-over preceding the establishment of Apache OpenOffice.  There is no one on AOO who has assigned this to themselves.

Some careful reconfirmation would be handy, especially on AOO 4.1.2 and later versions of Microsoft Windows.
Comment 14 mark 2016-06-12 20:42:03 UTC
Hi Orcmid,,

The problem is not that you can't view thumbnails. You can have a preview of the first page. The problem is that you can't navigate in the document in the preview pane of Windows because there is no preview handler for Ooo or LibreOffice.
You can have the full preview if you have Microsoft Office installed and if you save your Open Office documents in the old 1.1 odt.
I have three computers and Microsoft Office installed only an one of them. On the two others computers, I have only a preview of the first page but with a very low resolution. But what I need, is the ability to scroll in the document without to have to open it. I have often many versions with little changes of the same document and the changes are not necessarily on the first page. I can do this on my computer with Microsoft Office installed, but it's very laborious on the other two ones to open and close every documents untill I have found what I was looking for.

Sorry for my bad englich, I hope you can understand what I mean.
Comment 15 orcmid 2016-06-12 21:59:49 UTC
(In reply to mark from comment #14)
> Hi Orcmid,,
> 
> The problem is not that you can't view thumbnails. You can have a preview of
> the first page. The problem is that you can't navigate in the document in
> the preview pane of Windows because there is no preview handler for Ooo or
> LibreOffice.
> You can have the full preview if you have Microsoft Office installed 

AHAH!  I had no idea about that feature, and all of my computers have it!  I have never used it.  Thank you.

With Microsoft Office 365 / 2016 installed, all of my .ods and .odt files are previewable.  This is apparently a consequence of the ODF 1.2 support in the later Office versions.

I can't confirm the case with Microsoft Office being absent on Windows 10.  Others will have to check that.

I don't see any prospect of this being addressed any time soon.  It is Windows specific and I don't think we have the developer capacity to work it out, as useful as it would be.
Comment 16 Torsten Warncke 2016-08-03 16:03:43 UTC
Hi orcmid,
as Mark already explained it has nothing to do with thumbnails. The document container odt is a ZIP file which has the thumbnail.png, which shows 1st page in bad resolution, and META-INF/manifest.xml which allows MS preview handler to actually display the whole document in explorer preview pane. At some time the manifest.xml was badly modified, say from OO 3.1 to >=4.0, such that explorer cannot preview the document anymore. If I replace the >=4.0 manifest.xml with the old manifest.xml (from <= OO 3.1) explorer can preview the document (zipped), even with MS Office 2003, 2007 etc. installed.
Please patch OO 4.x accordingly!
Torsten


(In reply to orcmid from comment #13)
> (In reply to Torsten Warncke from comment #12)
> > Created attachment 85570 [details]
> > correct manifest.xml
> > 
> > replacement for manifest.xml in META-INF
> 
> I don't understand what META-INF/manifest.xml has to do with the subject of
> this issue.  
> 
> What's missing is a shell extension that extracts the thumbnails for preview
> purposes.  The thumbnail is there (although only at one resolution).  
> 
> I am removing the 2010-applied "Accepted" condition.  That is a hold-over
> preceding the establishment of Apache OpenOffice.  There is no one on AOO
> who has assigned this to themselves.
> 
> Some careful reconfirmation would be handy, especially on AOO 4.1.2 and
> later versions of Microsoft Windows.
Comment 17 Regina Henschel 2016-08-03 16:51:11 UTC
It seems, that the preview in Microsoft's explorer gets confused with the manifest:version="1.2" attribute at the manifest:manifest element. The same attribute at the manifest:file-entry element is OK.

If you remove the attribute manifest:version="1.2" from the manifest:manifest element, the preview will work.